package main

import (
	"context"
	"os"

	"git.3crabs.ru/VLADIMIR/butler/internal/modules/messenger/telegram"
	"git.3crabs.ru/VLADIMIR/butler/internal/modules/storage/postgres"
	"git.3crabs.ru/VLADIMIR/butler/internal/services/bot"
	"git.3crabs.ru/VLADIMIR/butler/internal/services/bot/bot_all"
	"git.3crabs.ru/VLADIMIR/butler/internal/services/listener"
)

func main() {
	args := os.Args[1:]
	
	tgToken := args[0]
	messengerTelegram, err := telegram.NewMessengerTelegram(tgToken)
	if err != nil {
		panic(err)
	}

	urlConnect := args[1]
	storage, err := postgres.NewStoragePostgres(urlConnect)
	if err != nil {
		panic(err)
	}
	defer storage.Close()

	listenerService := listener.NewListener(
		messengerTelegram,
		[]bot.IBot{
			bot_all.NewBotAll(messengerTelegram, storage),
		},
	)
	ctx := context.Background()
	listenerService.Run(ctx)
}
